Bug 247775 - Review Request: naturette - An AGI adventure game
Summary: Review Request: naturette - An AGI adventure game
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-11 12:21 UTC by Gwyn Ciesla
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version: 1.3-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-16 16:57:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Gwyn Ciesla 2007-07-11 12:21:31 UTC
Spec URL: http://zanoni.jcomserv.net/fedora/naturette/naturette.spec
SRPM URL: http://zanoni.jcomserv.net/fedora/naturette/naturette-1.3-1.fc7.src.rpm
Description: Naturette was made using AgiStudio. Naturette must find eight
diamonds to go back to her house. Contains nude scenes.

Comment 1 Jochen Schmitt 2007-07-11 15:44:23 UTC
Package doesn't fullfill the licensing requirements of the Fedora project.

The License tas says 'Redistributable, no modification permitted' 

If you not permitted to make modifications, then this is not a open source license.


Comment 2 Gwyn Ciesla 2007-07-11 15:47:42 UTC
This license was specifically OKd by Spot,
see:https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=240195


Comment 3 Jochen Schmitt 2007-07-11 16:00:35 UTC
I cant see any comment from Spot on the link you fefer too.

Because you review request don't agree with my opion of the open source
distribution, I will reopen the bug for anyone else who want to review your
package.

Comment 4 Jason Tibbitts 2007-07-11 16:05:21 UTC
This is content, not source, and the license, while perhaps not optimal, is
acceptable for content in Fedora, just the same as the firmware licenses are. 
I'll review this package.


Comment 5 Gwyn Ciesla 2007-07-11 16:06:43 UTC
My mistake, I was thinking of discussion around nagi.  "Redistributable, no
modification permitted" is a valid Fedora license.

Comment 6 Jochen Schmitt 2007-07-11 16:29:40 UTC
From my view, I have interpreted AGI like an interpreter, which should execute 
the game, which you will package in your review request.

In this case the situation is simular to for example a perl programm which will 
be executed by a perl interpreter. AFAIK in this case the above license may be 
not valid for this case.

So I think, this is a boundary issue between pasive content and code which will 
be interpreted by a game engine like a program by an interpreter.

Comment 7 Jochen Schmitt 2007-07-11 16:29:54 UTC
From my view, I have interpreted AGI like an interpreter, which should execute 
the game, which you will package in your review request.

In this case the situation is simular to for example a perl programm which will 
be executed by a perl interpreter. AFAIK in this case the above license may be 
not valid for this case.

So I think, this is a boundary issue between pasive content and code which will 
be interpreted by a game engine like a program by an interpreter.

Comment 8 Jason Tibbitts 2007-07-11 17:13:35 UTC
Builds OK, installs and plays fine.  rpmlint says:
  E: naturette zero-length /usr/share/naturette/snddir
which is normal for AGI games which don't include sound.

* source files manually compared with upstream.
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is acceptable for content.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   naturette = 1.3-1.fc8
  =
   /bin/bash
   /bin/sh
   hicolor-icon-theme
   nagi
* %check is not present; no upstream test suite.  Seems fine with manual 
   testing.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* desktop file looks OK and installs without errors.

APPROVED

Comment 9 Gwyn Ciesla 2007-07-11 17:33:27 UTC
Thanks!

New Package CVS Request
=======================
Package Name: naturette
Short Description: An AGI adventure game
Owners: limb@jcomserv.net
Branches: FC-6 F-7
InitialCC:

Comment 10 Gwyn Ciesla 2007-07-11 17:43:22 UTC
Re 6/7: In what way would licensing restrictions differ between code and content? 

In any case, AGI files are best described as a mix between code and content. 
Open  an AGI game in agistudio and look at LOGDIR and VIEWDIR to see what I mean.

Comment 11 Kevin Fenzi 2007-07-12 01:49:55 UTC
cvs done.

Comment 12 Gwyn Ciesla 2007-07-12 11:49:34 UTC
Imported and built in devel.

Comment 13 Fedora Update System 2007-07-12 23:35:51 UTC
naturette-1.3-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2007-07-16 16:57:10 UTC
naturette-1.3-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.